Bug 200140 - Disabled SVG shapes should not be hit-tested
Summary: Disabled SVG shapes should not be hit-tested
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Said Abou-Hallawa
URL:
Keywords: InRadar
Depends on:
Blocks: 200143
  Show dependency treegraph
 
Reported: 2019-07-25 15:19 PDT by Said Abou-Hallawa
Modified: 2019-11-05 12:11 PST (History)
15 users (show)

See Also:


Attachments
Patch (165.07 KB, patch)
2019-11-04 12:52 PST, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff
Patch (166.51 KB, patch)
2019-11-04 17:03 PST, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff
Patch (180.58 KB, patch)
2019-11-05 11:07 PST, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Said Abou-Hallawa 2019-07-25 15:19:19 PDT
Failed WPT test: http://web-platform-tests.live/svg/shapes/scripted/disabled-shapes-not-hit.svg

When an SVG shape is disabled because of incorrect dimension, this shape should not be hit by Document.elementFromPoint(). Examples for such shapes are:

<circle/>
<circle r="0"/>
<circle r="-10"/>
<circle style="r: 0"/>
<circle style="r: -10px"/>
<circle style="r: calc(-10px)"/>
Comment 1 Said Abou-Hallawa 2019-11-04 12:52:57 PST
Created attachment 382762 [details]
Patch
Comment 2 Said Abou-Hallawa 2019-11-04 17:03:02 PST
Created attachment 382790 [details]
Patch
Comment 3 Said Abou-Hallawa 2019-11-05 11:07:33 PST
Created attachment 382835 [details]
Patch
Comment 4 WebKit Commit Bot 2019-11-05 12:10:09 PST
Comment on attachment 382835 [details]
Patch

Clearing flags on attachment: 382835

Committed r252069: <https://trac.webkit.org/changeset/252069>
Comment 5 WebKit Commit Bot 2019-11-05 12:10:11 PST
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2019-11-05 12:11:14 PST
<rdar://problem/56913777>